at.chipkarte.client.elgaad.soap

## Class Organization

- Object
- - at.chipkarte.client.elgaad.soap.Organization

-     public class Organization
      extends Object

  Daten zur Institution des Authors.
  Das Objekt wird in unterschiedlichen Funktionen und Objekten verwendet. Die Angabe- bzw. Versorgungsbedingungen der einzelnen Parameter sind dabei abhängig ob das Objekt für die Eingabe oder Ausgabe verwendet wird.
  Die Bedingungen für die Angabe bei Nutzung als Eingabeobjekt, sind für dieses Objekt bei den Parametern unter "Eingabebedingung" angegeben. Hierbei wird zusätzlich unterschieden, ob die Daten der Institution zwecks "Erfassung" oder "Änderung" angegeben wird.
  Die Bedingungen für die Befüllung der Parameter bei Nutzung als Ausgabeobjekt, sind bei den Parametern unter "Ausgabebedingung" angegeben.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Organization()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Adresse` | `getAdresse()` Adresse der Organisation.
    `Id[]` | `getIdList()` Ids der Organisation.
    `String` | `getName()` Name der Organisation.
    `String[]` | `getTelecomList()` Kontaktdaten (zum Beispiel Telefonnummer, Mailadresse).
    `void` | `setAdresse(Adresse adresse)`
    `void` | `setIdList(Id[] idList)`
    `void` | `setName(String name)`
    `void` | `setTelecomList(String[] telecomList)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Organization

          public Organization()

  - ### Method Detail

    - #### getIdList

          public Id[] getIdList()

      Ids der Organisation. Siehe `Id`.
      Eingabebedingung:
      Erfassung: Bedingt: falls keine Nachtragung, muss dieser Wert gesetzt sein (Nur UUID oder OID sind erlaubt)
      Änderung: Eingabe wird ignoriert.
      Ausgabebedingung: Kann.
      Returns:
        Liste von Organisations-Ids.

    - #### getName

          public String getName()

      Name der Organisation.
      Eingabebedingung:
      Erfassung: Eingabe wird ignoriert.
      Änderung: Eingabe wird ignoriert.
      Ausgabebedingung: Muss.
      Format: alphanumerisch
      Returns:
        Name.

    - #### getTelecomList

          public String[] getTelecomList()

      Kontaktdaten (zum Beispiel Telefonnummer, Mailadresse).
      Eingabebedingung:
      Erfassung: Kann.
      Änderung: Kann.
      Ausgabebedingung: Kann.
      Format: Präfix gemäß Value-Set "ELGA_URLScheme" (siehe Terminologieserver) gefolgt vom tatsächlichem Wert
      Beispiele: Telefonnummer - "tel:+43 1 40400", E-Mail: "mailto:office@organisation.at"
      Returns:
        Liste von Kontaktdaten.

    - #### getAdresse

          public Adresse getAdresse()

      Adresse der Organisation. Siehe `Adresse`.
      Eingabebedingung:
      Erfassung: Kann. Wird bei Nichtangabe automatisch versorgt anhand der Ordinationsdaten des angemeldeten Vertragspartners.
      Änderung: Kann. Wird automatisch versorgt anhand der Ordinationsdaten des angemeldeten Vertragspartners.
      Ausgabebedingung: Kann.
      Returns:
        Adresse.

    - #### setIdList

          public void setIdList(Id[] idList)

    - #### setName

          public void setName(String name)

    - #### setTelecomList

          public void setTelecomList(String[] telecomList)

    - #### setAdresse

          public void setAdresse(Adresse adresse)